CIS V6 Product page, shows Ram requirement for previous versions.

Comodo Internet Security
Product page incorrectly states the Ram requirement to be 152MB Ram, this is for older versions.

System requirements in the CIS Help appear to be up to date.
Thanks.